<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Aceptar ServiceType
 * @subpackage Services
 */
class Aceptar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named AceptarRechazarCancelacion
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AceptarRechazarCancelacion $parameters
     * @return \StructType\AceptarRechazarCancelacionResponse|bool
     */
    public function AceptarRechazarCancelacion(\StructType\AceptarRechazarCancelacion $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->AceptarRechazarCancelacion($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AceptarRechazarCancelacionCA
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AceptarRechazarCancelacionCA $parameters
     * @return \StructType\AceptarRechazarCancelacionCAResponse|bool
     */
    public function AceptarRechazarCancelacionCA(\StructType\AceptarRechazarCancelacionCA $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->AceptarRechazarCancelacionCA($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\AceptarRechazarCancelacionCAResponse|\StructType\AceptarRechazarCancelacionResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
